Name:           freepops
Version:        0.2.9
Release:        10%{?dist}
Summary:        POP3 interface to webmails
Group:          Applications/Internet
License:        GPLv2
URL:            http://www.freepops.org
Source0:        http://sourceforge.net/projects/freepops/freepops-%{version}.tar.gz
Source1:        freepopsd.init.d
Source2:        doc.tar.gz
Source3:        freepops.sh
Source4:        freepops-updater.pam
Source5:        freepops-updater.console
Source6:        freepops-updater-X
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#patch
Patch101:       freepops-0.2.8-configure.sh.patch
Patch102:       freepops-0.2.8-Makefile.patch
Patch103:       freepops-0.2.8-config.h.patch
Patch104:       freepops-0.2.9-curl_authopt-meta.patch

BuildRequires:  curl-devel
BuildRequires:  gettext, gcc-c++
BuildRequires:  lua-devel >= 5.1
BuildRequires:  expat-devel
BuildRequires:  readline-devel
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  fltk-devel
BuildRequires:  openssl-devel

Requires:        lua >= 5.1
Requires(post):  /sbin/chkconfig, /sbin/service
Requires(preun): /sbin/chkconfig, /sbin/service

%description
FreePOPs is an easily extensible program, which allows
access to the most varied resources through the POP3 protocol.
Mainly, it can be used to download mail from the most famous webmails,
but it could also be used as an aggregator for RSS feeds and much more.
This way it is possible to get all your messages in your favorite email client.

%package updater
Summary: The new FreePOPs updater (Fltk)
Group: Applications/Internet
Requires: freepops = %{version}-%{release} 
Requires: fltk usermode mktemp dialog

%description updater
Fltk based graphical user interface for FreePOPs updating mechanism


%prep
%setup -q -a2
sed -i -e 's|(PREFIX)lib/|(PREFIX)/%{_lib}/|g' Makefile

%patch101 -p1 -b .configure.sh
%patch102 -p1 -b .makefile
%patch103 -p1 -b .config
%patch104 -p1 -b .curl_authopt-meta

sed -i.debug -e '/getdate.c/s|rm|:|' modules/src/getdate/getdate-curl-7.11.0.diff

%build
./configure.sh linux -lua -fltk-ui

make all WHERE=%{_prefix}/ H="" \
        CC="gcc $RPM_OPT_FLAGS" \
        HCC="gcc $RPM_OPT_FLAGS"


%install
rm -rf %{buildroot}

export QA_SKIP_BUILD_ROOT=1

mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
mkdir -p %{buildroot}%{_datadir}/freepops/lua_unofficial
mkdir -p %{buildroot}%{_datadir}/freepops/lua_updates
mkdir -p %{buildroot}%{_datadir}/freepops/lua_updates/lxp
mkdir -p %{buildroot}%{_datadir}/freepops/lua_updates/browser
mkdir -p %{buildroot}%{_datadir}/freepops/lua_updates/soap
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

make install DESTDIR=%{buildroot}/
rm -rf %{buildroot}/usr/share/doc/freepops
chmod +x %{buildroot}%{_bindir}/freepops-updater-dialog
chmod +x %{buildroot}%{_bindir}/freepops-updater-fltk
chmod +x %{buildroot}%{_bindir}/freepops-updater-zenity

install -p -m755 %{SOURCE3} %{buildroot}%{_bindir}
install -p -m755 %{SOURCE1} %{buildroot}%{_initrddir}/freepopsd
install -p -m644 %{_builddir}/%{name}-%{version}/updater-ui/fltk/freepops-updater-fltk.svg \
                 %{buildroot}%{_datadir}/pixmaps
install -p -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/pam.d/freepops-plugin-updater
install -p -m644 %{SOURCE5} %{buildroot}%{_sysconfdir}/security/console.apps/freepops-plugin-updater
install -p -m755 %{SOURCE6} %{buildroot}%{_bindir}/freepops-updater-X
pushd %{buildroot}%{_bindir}
ln -s consolehelper freepops-plugin-updater
popd

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
cat << EOF > %{buildroot}%{_sysconfdir}/sysconfig/freepopsd
FREEPOPSDARG="-b 127.0.0.1 -s nobody.nobody -p 2000 -l /var/log/freepopsd"
EOF

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/freepops
/var/log/freepopsd {
    notifempty
    missingok
    postrotate
        /sbin/service freepopsd restart 2>/dev/null >/dev/null || :
    endscript
}
EOF

sed -i -e's,libdir,%{_libdir},g' %{buildroot}%{_bindir}/freepops.sh
sed -i -e's,bindir,%{_bindir},g' %{buildroot}%{_bindir}/freepops.sh

%find_lang updater_fltk
cat updater_fltk.lang >> %{name}.lang

# create desktop entry
cat << EOF > %{buildroot}%{_datadir}/applications/freepops-updater-gnome.desktop
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Type=Application
Terminal=true
Name=FreePOPs updater
Comment=Download updated version of FreePOPs plugins
Icon=%{_datadir}/freepops-updater-fltk.svg
Exec=%{_bindir}/freepops.sh
Categories=GNOME;Application;System;
GenericName=
EOF

cat << EOF > %{buildroot}%{_datadir}/applications/freepops-updater-zenity.desktop
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Type=Application
Terminal=false
Name=FreePOPs plugin updater
Comment=Download updated version of FreePOPs plugins
Icon=%{_datadir}/freepops-updater-fltk.svg
Exec=%{_bindir}/freepops-plugin-updater
Categories=GNOME;Application;System;
GenericName=
EOF


%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add freepopsd

%preun
if [ $1 = 0 ] ; then
        /sbin/service freepopsd stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del freepopsd
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service freepopsd condrestart > /dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog README README.modules TODO
%doc doc/MANUAL.txt README.fedora doc/manual/HTML manual.pdf

%{_bindir}/freepopsd
%{_datadir}/freepops/*
%{_mandir}/man1/freepopsd.1.gz
%{_initrddir}/freepopsd
%config(noreplace) %{_sysconfdir}/logrotate.d/freepops
%config(noreplace) %{_sysconfdir}/freepops/config.lua
%config(noreplace) %{_sysconfdir}/sysconfig/freepopsd

%files updater -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/freepops-updater-dialog
%{_bindir}/freepops-updater-zenity
%{_bindir}/freepops-updater-fltk
%{_bindir}/freepops-updater-X
%{_bindir}/freepops-plugin-updater
%{_bindir}/freepops.sh
%{_libdir}/freepops/updater_fltk.so
%{_sysconfdir}/pam.d/freepops-plugin-updater
%{_sysconfdir}/security/console.apps/freepops-plugin-updater
%{_mandir}/man1/freepops-updater-dialog.1.gz
%{_mandir}/man1/freepops-updater-fltk.1.gz
%{_mandir}/man1/freepops-updater-zenity.1.gz
%{_datadir}/applications/freepops-updater-gnome.desktop
%{_datadir}/applications/freepops-updater-zenity.desktop
%{_datadir}/pixmaps/freepops-updater-fltk.svg


%changelog

* Sun Jul 29 2012   Paulo Roma <roma@lcg.ufrj.br> 0.2.9-10
- Applied curl_authopt-meta.patch.

* Mon Jan 05 2009   Paulo Roma <roma@lcg.ufrj.br> 0.2.9-9
- Update to 0.2.9
- Removed patches 104 and 105

* Wed Dec 10 2008   Paulo Roma <roma@lcg.ufrj.br> 0.2.8-8
- Patch 103 has been applied to the Mac-OS section, not unix.

* Mon Dec 08 2008   Paulo Roma <roma@lcg.ufrj.br> 0.2.8-7
- Recreated patches 102, 103 and 104 for Fedora 10.

* Tue Nov 18 2008   Paulo Roma <roma@lcg.ufrj.br> 0.2.8-6
- Update to 0.2.8
- Adapted configure.sh.patch
- Created logrotate.d/freepops

* Wed Jul 09 2008   Paulo Roma <roma@lcg.ufrj.br> 0.2.7-5
- Patched zenity.
- Removed SOURCE2 freepopsd.sysconfig
- Added zenity desktop entry with PAM access.

* Thu Jun 12 2008   Paulo Roma <roma@lcg.ufrj.br> 0.2.7-4
- Update to 0.2.7
- Adapted patch 101 (configure) and removed 105 (argv).
- Added freepops-updater-zenity and find_lang.
- Created desktop entry.

* Mon Nov 19 2007   Paulo Roma <roma@lcg.ufrj.br> 0.2.6-3
- Update to 0.2.6
- Patched for gcc 4.1.2
- Included BR openssl-devel

* Wed Sep 19 2007   Francesco Laurita <francesco at francesco-laurita dot info> 0.2.5-2
- README.fedora has been added

* Sat Jul 07 2007   Paulo Roma <roma@lcg.ufrj.br> 0.2.5-2
- Replaced %%{_sysconfdir}/freepopsd for using better options.
- Moving %%{_prefix}/lib to %%{_libdir} for x86_64.

* Wed Jun 27 2007   Francesco Laurita <francesco at francesco-laurita dot info> 0.2.5-1
- Version upgraded

